net.sf.saxon.tree.wrapper

## Class VirtualUntypedCopy.VirtualUntypedCopier

- java.lang.Object
- - net.sf.saxon.tree.wrapper.VirtualCopy.VirtualCopier
  - - net.sf.saxon.tree.wrapper.VirtualUntypedCopy.VirtualUntypedCopier

- All Implemented Interfaces:
    SequenceIterator, AxisIterator, UnfailingIterator
  Enclosing class:
    VirtualUntypedCopy

      protected class VirtualUntypedCopy.VirtualUntypedCopier
      extends VirtualCopy.VirtualCopier

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.wrapper.VirtualCopy.VirtualCopier

      `base, subtreeRoot`

    - ### Fields inherited from interface net.sf.saxon.om.SequenceIterator

      `GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualUntypedCopy.VirtualUntypedCopier(AxisIterator base, VirtualCopy parent, NodeInfo subtreeRoot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected VirtualCopy` | `createCopy(NodeInfo node, NodeInfo root)` Method to create the virtual copy of a node encountered when navigating.
    `AxisIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence

    - ### Methods inherited from class net.sf.saxon.tree.wrapper.VirtualCopy.VirtualCopier

      `atomize, close, current, getProperties, getStringValue, iterateAxis, moveNext, next, position`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualUntypedCopy.VirtualUntypedCopier

          public VirtualUntypedCopy.VirtualUntypedCopier(AxisIterator base,
                                                 VirtualCopy parent,
                                                 NodeInfo subtreeRoot)

  - ### Method Detail

    - #### createCopy

          protected VirtualCopy createCopy(NodeInfo node,
                               NodeInfo root)

      Method to create the virtual copy of a node encountered when navigating. This method is separated out so that it can be overridden in a subclass.
      Overrides:
        `createCopy` in class `VirtualCopy.VirtualCopier`
      Parameters:
        `node` - the node to be copied
        `root` - the root of the tree
      Returns:
        the virtual copy

    - #### getAnother

          public AxisIterator getAnother()

      Get another iterator over the same sequence of items, positioned at the start of the sequence
      Specified by:
        `getAnother` in interface `SequenceIterator`
      Specified by:
        `getAnother` in interface `AxisIterator`
      Specified by:
        `getAnother` in interface `UnfailingIterator`
      Overrides:
        `getAnother` in class `VirtualCopy.VirtualCopier`
      Returns:
        a new iterator over the same sequence

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.